<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">


    <ui:composition template="../WEB-INF/template/Template.xhtml">

        <ui:define name="top">
            Cadastro de Genero
        </ui:define>

        <ui:define name="content">

             <h:graphicImage library="imagens" styleClass="ajax-status" name="loading.gif" />
            
            <h:inputHidden value="#{generoBean.genero.id}" />

            <h:messages id="msg" />
            <h:panelGrid columns="2">
                <h:outputLabel for="id" value="Código" />
                <h:inputText 
                    id="id" value="#{generoBean.genero.id == 0 ? '' : generoBean.genero.id}"
                    readonly="true"
                    style="width: 40px;" />
                <h:outputLabel for="descricao" value="Descrição" />
                <h:inputText id="descricao" value="#{generoBean.genero.descricao}"
                             required="true" requiredMessage="Campo descrição é obrigatorio!" />
                <h:panelGroup >
                    <h:commandButton value="Salvar" action="#{generoBean.salvar}" />
                    <h:commandButton value="Cancelar" action="#{generoBean.novo}" />
                </h:panelGroup>
            </h:panelGrid>

            <h:dataTable var="genero" value="#{generoBean.lista}">
                <h:column >#{genero.id}</h:column>
                <h:column>#{genero.descricao}</h:column>
            </h:dataTable>

        </ui:define>

    </ui:composition>

</html>

